BEGIN
  FOR k IN (SELECT null FROM all_synonyms WHERE owner = 'PUBLIC' and synonym_name = 'BROLE_MEMBERS_V') LOOP
    EXECUTE IMMEDIATE 'DROP PUBLIC SYNONYM BROLE_MEMBERS_V';
  END LOOP;
   FOR i IN (SELECT null FROM all_views WHERE owner = user and view_name = 'BROLE_MEMBERS_V') LOOP
    EXECUTE IMMEDIATE 'DROP VIEW BROLE_MEMBERS_V';
  END LOOP;
END;
/

CREATE VIEW BROLE_MEMBERS_V AS
SELECT
    brole_member.unique_business_role_id,
    brole_member.unique_user_id,
    brole_member.start_date,
    brole_member.end_date,
    brole_member.delete_date,
    suser.display_name,
    suser_email.email,
    suser.job_title,
    suser.department
FROM business_role_member brole_member
    JOIN suser ON brole_member.unique_user_id = suser.unique_user_id AND suser.effective = '1'
    LEFT JOIN suser_email ON suser.id = suser_email.suser;

GRANT SELECT ON igops.BROLE_MEMBERS_V TO ig_report_role;
CREATE PUBLIC SYNONYM BROLE_MEMBERS_V FOR igops.BROLE_MEMBERS_V;
