﻿DROP VIEW IF EXISTS brole_members_v;
CREATE VIEW public.brole_members_v AS 
SELECT 
    brole_member.unique_business_role_id,
    brole_member.unique_user_id,
    brole_member.start_date,
    brole_member.end_date,
    brole_member.delete_date,
    suser.display_name,
    suser_email.email,
    suser.job_title,
    suser.department
FROM business_role_member brole_member
    JOIN suser ON brole_member.unique_user_id::text = suser.unique_user_id::text AND suser.effective = true
    LEFT JOIN suser_email ON suser.id = suser_email.suser;

ALTER TABLE brole_members_v
  OWNER TO igops;
GRANT ALL ON TABLE brole_members_v TO igops;
GRANT SELECT ON TABLE brole_members_v TO ig_report_role;
